import importlib
import FreeCADGui as Gui
import os
import sys

from .. import settings
from ..project import Project

from .Syncable import Syncable

class SyncTo(Syncable):
    def GetResources(self):
        tooltip  = '<p>Update Board in KiCAD.</p>'
        iconFile = os.path.join(settings.ICONPATH, 'export_to_pcbnew.svg')

        return {
            'MenuText': 'Sync to KiCAD',
            'ToolTip': tooltip,
            'Pixmap' : iconFile
        }

    def Activated(self):
        boards = [ sel for sel in Gui.Selection.getSelection() if sel.Type == 'KiConnect::Board' ]

        for board in boards:
            board.Proxy.sync()




Gui.addCommand('kiconn_sync_to', SyncTo())
